commit 2347b2ffa9fa9f2705eb09d3df3b70241fb66d6d
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Wed Nov 13 16:05:41 2019 +0100

    introduced a switch test for the PowerManagement v1.2 module.

diff --git a/modules/PowerManagement_1-2/Makefile b/modules/PowerManagement_1-2/Makefile
index c02d07c..d526a51 100644
--- a/modules/PowerManagement_1-2/Makefile
+++ b/modules/PowerManagement_1-2/Makefile
@@ -155,6 +155,7 @@ include $(AMIROLLD)/drivers/INA219/v1/alld_INA219.mk
 include $(AMIROLLD)/drivers/LED/v1/alld_LED.mk
 include $(AMIROLLD)/drivers/PCA9544A/v1/alld_PCA9544A.mk
 include $(AMIROLLD)/drivers/PKxxxExxx/v1/alld_PKxxxExxx.mk
+include $(AMIROLLD)/drivers/switch/v1/alld_switch.mk
 include $(AMIROLLD)/drivers/TPS6211x/v1/alld_TPS6211x.mk
 ifeq ($(BOARD_SENSORRING), BOARD_PROXIMITYSENSOR)
   include $(AMIROLLD)/drivers/MPR121/v1/alld_MPR121.mk
@@ -189,6 +190,7 @@ include $(MODULE_DIR)/test/INA219/module_test_INA219.mk
 include $(MODULE_DIR)/test/LED/module_test_LED.mk
 include $(MODULE_DIR)/test/PCA9544A/module_test_PCA9544A.mk
 include $(MODULE_DIR)/test/PKxxxExxx/module_test_PKxxxExxx.mk
+include $(MODULE_DIR)/test/switch/module_test_switch.mk
 include $(MODULE_DIR)/test/TPS6211x/module_test_TPS6211x.mk
 include $(MODULE_DIR)/test/TPS6211x_INA219/module_test_TPS6211x_INA219.mk
 ifeq ($(BOARD_SENSORRING), BOARD_PROXIMITYSENSOR)
diff --git a/modules/PowerManagement_1-2/module.c b/modules/PowerManagement_1-2/module.c
index 7d46aa2..475785f 100644
--- a/modules/PowerManagement_1-2/module.c
+++ b/modules/PowerManagement_1-2/module.c
@@ -688,6 +688,10 @@ LEDDriver moduleLldStatusLed = {
   /* LED GPIO */ &moduleGpioLed,
 };
 
+SwitchDriver moduleLldBatterySwitch = {
+  /* GPIO */ &moduleGpioSwitchStatus,
+};
+
 TPS6211xDriver moduleLldStepDownConverter = {
   /* Power enable GPIO */ &moduleGpioPowerEn,
 };
@@ -847,6 +851,16 @@ static int _testPkxxxexxxShellCmdCb(BaseSequentialStream* stream, int argc, char
 AOS_SHELL_COMMAND(moduleTestPkxxxexxxShellCmd, "test:Buzzer", _testPkxxxexxxShellCmdCb);
 
 /*
+ * switch
+ */
+#include <module_test_switch.h>
+static int _testSwitchShellCmdCb(BaseSequentialStream* stream, int argc, char* argv[])
+{
+  return moduleTestSwitchShellCb(stream, argc, argv, NULL);
+}
+AOS_SHELL_COMMAND(moduleTestSwitchShellCmd, "test:Switch", _testSwitchShellCmdCb);
+
+/*
  * TPS62113 (step-down converter)
  */
 #include <module_test_TPS6211x.h>
@@ -1033,6 +1047,10 @@ static int _testAllShellCmdCb(BaseSequentialStream* stream, int argc, char* argv
   status |= moduleTestPkxxxexxxShellCb(stream, 0, targv, &result_test);
   result_total = aosTestResultAdd(result_total, result_test);
 
+  /* battery switch */
+  status |= moduleTestSwitchShellCb(stream, 0, targv, &result_test);
+  result_total = aosTestResultAdd(result_total, result_test);
+
   /* TPS62113 (step-down converter) */
   status |= moduleTestTps6211xShellCb(stream, 0, targv, &result_test);
   result_total = aosTestResultAdd(result_total, result_test);
diff --git a/modules/PowerManagement_1-2/module.h b/modules/PowerManagement_1-2/module.h
index 53185ac..dc41571 100644
--- a/modules/PowerManagement_1-2/module.h
+++ b/modules/PowerManagement_1-2/module.h
@@ -444,7 +444,7 @@ extern ROMCONST char* moduleShellPrompt;
   aosShellAddCommand(&aos.shell, &moduleTestBq27500Bq241xxShellCmd);          \
   aosShellAddCommand(&aos.shell, &moduleTestIna219ShellCmd);                  \
   aosShellAddCommand(&aos.shell, &moduleTestLedShellCmd);                     \
-  aosShellAddCommand(&aos.shell, &moduleTestPkxxxexxxShellCmd);               \
+  aosShellAddCommand(&aos.shell, &moduleTestSwitchShellCmd);                  \
   aosShellAddCommand(&aos.shell, &moduleTestTps6211xShellCmd);                \
   aosShellAddCommand(&aos.shell, &moduleTestTps6211xIna219ShellCmd);          \
   MODULE_INIT_TEST_SENSORRING();                                              \
@@ -573,6 +573,7 @@ extern ROMCONST char* moduleShellPrompt;
 #include <alld_INA219.h>
 #include <alld_LED.h>
 #include <alld_PKxxxExxx.h>
+#include <alld_switch.h>
 #include <alld_TPS6211x.h>
 
 /**
@@ -631,6 +632,11 @@ extern INA219Driver moduleLldPowerMonitorVio50;
 extern LEDDriver moduleLldStatusLed;
 
 /**
+ * @brief   Battery switch driver.
+ */
+extern SwitchDriver moduleLldBatterySwitch;
+
+/**
  * @brief   Step down converter driver.
  * @note    Although there multiple TPS6211x, those are completely identical from driver few (share the same signals).
  */
@@ -764,6 +770,11 @@ extern aos_shellcommand_t moduleTestLedShellCmd;
 extern aos_shellcommand_t moduleTestPkxxxexxxShellCmd;
 
 /**
+ * @brief   Switch test command.
+ */
+extern aos_shellcommand_t moduleTestSwitchShellCmd;
+
+/**
  * @brief   TPS62113 (step-down converter) test command.
  */
 extern aos_shellcommand_t moduleTestTps6211xShellCmd;
diff --git a/modules/PowerManagement_1-2/test/switch/module_test_switch.c b/modules/PowerManagement_1-2/test/switch/module_test_switch.c
new file mode 100644
index 0000000..01a1f59
--- /dev/null
+++ b/modules/PowerManagement_1-2/test/switch/module_test_switch.c
@@ -0,0 +1,70 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+#include <amiroos.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+#include <module_test_switch.h>
+#include <aos_test_switch.h>
+
+/******************************************************************************/
+/* LOCAL DEFINITIONS                                                          */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED VARIABLES                                                         */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL TYPES                                                                */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL VARIABLES                                                            */
+/******************************************************************************/
+
+static aos_test_switchdata_t _data = {
+  /* switch */ &moduleLldBatterySwitch,
+};
+
+static AOS_TEST(_test, "switch", NULL, moduleTestSwitchShellCb, aosTestSwitchFunc, &_data);
+
+/******************************************************************************/
+/* LOCAL FUNCTIONS                                                            */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED FUNCTIONS                                                         */
+/******************************************************************************/
+
+int moduleTestSwitchShellCb(BaseSequentialStream* stream, int argc, char* argv[], aos_testresult_t* result)
+{
+  (void)argc;
+  (void)argv;
+
+  if (result != NULL) {
+    *result = aosTestRun(stream, &_test, NULL);
+  } else {
+    aosTestRun(stream, &_test, NULL);
+  }
+
+  return AOS_OK;
+}
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
diff --git a/modules/PowerManagement_1-2/test/switch/module_test_switch.h b/modules/PowerManagement_1-2/test/switch/module_test_switch.h
new file mode 100644
index 0000000..29eb87e
--- /dev/null
+++ b/modules/PowerManagement_1-2/test/switch/module_test_switch.h
@@ -0,0 +1,66 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+
+#ifndef MODULE_TEST_SWITCH_H
+#define MODULE_TEST_SWITCH_H
+
+#include <amiroos.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+/******************************************************************************/
+/* CONSTANTS                                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* SETTINGS                                                                   */
+/******************************************************************************/
+
+/******************************************************************************/
+/* CHECKS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* DATA STRUCTURES AND TYPES                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* MACROS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXTERN DECLARATIONS                                                        */
+/******************************************************************************/
+
+#if defined(__cplusplus)
+extern "C" {
+#endif /* defined(__cplusplus) */
+  int moduleTestSwitchShellCb(BaseSequentialStream* stream, int argc, char* argv[], aos_testresult_t* result);
+#if defined(__cplusplus)
+}
+#endif /* defined(__cplusplus) */
+
+/******************************************************************************/
+/* INLINE FUNCTIONS                                                           */
+/******************************************************************************/
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
+
+#endif /* MODULE_TEST_SWITCH_H */
+
diff --git a/modules/PowerManagement_1-2/test/switch/module_test_switch.mk b/modules/PowerManagement_1-2/test/switch/module_test_switch.mk
new file mode 100644
index 0000000..1be480c
--- /dev/null
+++ b/modules/PowerManagement_1-2/test/switch/module_test_switch.mk
@@ -0,0 +1,36 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+MODULE_TEST_switch_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+include $(AMIROOS_TEST_DIR)periphery-lld/switch_v1/aos_test_switch.mk
+
+# include paths
+MODULE_INC += $(MODULE_TEST_switch_DIR:/=)
+
+# C source files
+MODULE_CSRC += $(MODULE_TEST_switch_DIR)module_test_switch.c
+
diff --git a/periphery-lld/AMiRo-LLD b/periphery-lld/AMiRo-LLD
index 72369ed..96559ab 160000
--- a/periphery-lld/AMiRo-LLD
+++ b/periphery-lld/AMiRo-LLD
@@ -1 +1 @@
-Subproject commit 72369edc914c55785d0654e4aa5bee9a3aed9290
+Subproject commit 96559ab4ee7dcdeb091a72795e821ef27bb72ed8
diff --git a/test/periphery-lld/LED_v1/aos_test_LED.h b/test/periphery-lld/LED_v1/aos_test_LED.h
index 882e275..62582da 100644
--- a/test/periphery-lld/LED_v1/aos_test_LED.h
+++ b/test/periphery-lld/LED_v1/aos_test_LED.h
@@ -16,8 +16,8 @@ You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef AMIROOS_TESTS_LED_H
-#define AMIROOS_TESTS_LED_H
+#ifndef AMIROOS_TEST_LED_H
+#define AMIROOS_TEST_LED_H
 
 #include <amiroos.h>
 
@@ -74,4 +74,4 @@ extern "C" {
 
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
-#endif /* AMIROOS_TESTS_LED_H */
+#endif /* AMIROOS_TEST_LED_H */
diff --git a/test/periphery-lld/button_v1/aos_test_button.h b/test/periphery-lld/button_v1/aos_test_button.h
index 0b076cb..d94d750 100644
--- a/test/periphery-lld/button_v1/aos_test_button.h
+++ b/test/periphery-lld/button_v1/aos_test_button.h
@@ -16,8 +16,8 @@ You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef AMIROOS_TESTS_BUTTON_H
-#define AMIROOS_TESTS_BUTTON_H
+#ifndef AMIROOS_TEST_BUTTON_H
+#define AMIROOS_TEST_BUTTON_H
 
 #include <amiroos.h>
 
@@ -83,4 +83,4 @@ extern "C" {
 
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
 
-#endif /* AMIROOS_TESTS_BUTTON_H */
+#endif /* AMIROOS_TEST_BUTTON_H */
diff --git a/test/periphery-lld/button_v1/aos_test_button.mk b/test/periphery-lld/button_v1/aos_test_button.mk
index bc00801..640470b 100644
--- a/test/periphery-lld/button_v1/aos_test_button.mk
+++ b/test/periphery-lld/button_v1/aos_test_button.mk
@@ -24,11 +24,11 @@
 
 
 # path to this directory
-AMIROOS_TEST_BUTTON_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+AMIROOS_TEST_button_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
 
 # include path
-AMIROOS_TEST_INC += $(AMIROOS_TEST_BUTTON_DIR)
+AMIROOS_TEST_INC += $(AMIROOS_TEST_button_DIR)
 
 # C sources
-AMIROOS_TEST_CSRC += $(AMIROOS_TEST_BUTTON_DIR)aos_test_button.c
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_button_DIR)aos_test_button.c
 
diff --git a/test/periphery-lld/switch_v1/aos_test_switch.c b/test/periphery-lld/switch_v1/aos_test_switch.c
new file mode 100644
index 0000000..da6ea2a
--- /dev/null
+++ b/test/periphery-lld/switch_v1/aos_test_switch.c
@@ -0,0 +1,88 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+#include <amiroos.h>
+#include <aos_test_switch.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+/******************************************************************************/
+/* LOCAL DEFINITIONS                                                          */
+/******************************************************************************/
+
+#define INTERRUPT_EVENT_ID            1
+
+/******************************************************************************/
+/* EXPORTED VARIABLES                                                         */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL TYPES                                                                */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL VARIABLES                                                            */
+/******************************************************************************/
+
+/******************************************************************************/
+/* LOCAL FUNCTIONS                                                            */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXPORTED FUNCTIONS                                                         */
+/******************************************************************************/
+
+/**
+ * @brief   Switch test function.
+ *
+ * @param[in] stream  Stream for input/output.
+ * @param[in] test    Test object.
+ *
+ * @return            Test result value.
+ */
+aos_testresult_t aosTestSwitchFunc(BaseSequentialStream* stream, const aos_test_t* test)
+{
+  aosDbgCheck(test->data != NULL &&
+      ((aos_test_switchdata_t*)test->data)->switchd != NULL);
+
+  // local variables
+  aos_testresult_t result;
+  int32_t status;
+  switch_lld_state_t state;
+
+  aosTestResultInit(&result);
+
+  chprintf(stream, "reading switch for ten seconds...\n");
+  status = APAL_STATUS_OK;
+  for (unsigned int sec = 0; sec < 10; ++sec) {
+    status |= switch_lld_get(((aos_test_switchdata_t*)test->data)->switchd, &state);
+    chprintf(stream, "\t\tswitch is %s\n", (state == SWITCH_LLD_STATE_ON) ? "on" : "off");
+    aosThdSSleep(1);
+  }
+  if (status == APAL_STATUS_OK) {
+    aosTestPassed(stream, &result);
+  } else {
+    aosTestFailedMsg(stream, &result, "0x08X\n", status);
+  }
+
+  aosTestInfoMsg(stream,"driver object memory footprint: %u bytes\n", sizeof(SwitchDriver));
+
+  return result;
+}
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
diff --git a/test/periphery-lld/switch_v1/aos_test_switch.h b/test/periphery-lld/switch_v1/aos_test_switch.h
new file mode 100644
index 0000000..21555bc
--- /dev/null
+++ b/test/periphery-lld/switch_v1/aos_test_switch.h
@@ -0,0 +1,76 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+#ifndef AMIROOS_TEST_SWITCH_H
+#define AMIROOS_TEST_SWITCH_H
+
+#include <amiroos.h>
+
+#if (AMIROOS_CFG_TESTS_ENABLE == true) || defined(__DOXYGEN__)
+
+#include <alld_switch.h>
+
+/******************************************************************************/
+/* CONSTANTS                                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* SETTINGS                                                                   */
+/******************************************************************************/
+
+/******************************************************************************/
+/* CHECKS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* DATA STRUCTURES AND TYPES                                                  */
+/******************************************************************************/
+
+/**
+ * @brief   Custom data structure for the test.
+ */
+typedef struct {
+  /**
+   * @brief   Pointer to the driver to use.
+   */
+  SwitchDriver* switchd;
+} aos_test_switchdata_t;
+
+/******************************************************************************/
+/* MACROS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXTERN DECLARATIONS                                                        */
+/******************************************************************************/
+
+#if defined(__cplusplus)
+extern "C" {
+#endif /* defined(__cplusplus) */
+  aos_testresult_t aosTestSwitchFunc(BaseSequentialStream* stream, const aos_test_t* test);
+#if defined(__cplusplus)
+}
+#endif /* defined(__cplusplus) */
+
+/******************************************************************************/
+/* INLINE FUNCTIONS                                                           */
+/******************************************************************************/
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) */
+
+#endif /* AMIROOS_TEST_SWITCH_H */
diff --git a/test/periphery-lld/switch_v1/aos_test_switch.mk b/test/periphery-lld/switch_v1/aos_test_switch.mk
new file mode 100644
index 0000000..cb158a9
--- /dev/null
+++ b/test/periphery-lld/switch_v1/aos_test_switch.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_switch_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_switch_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_switch_DIR)aos_test_switch.c
+