commit 3106e8ccdc0107c1fd3f92eaef77ea9bb856803b
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Mar 21 17:48:56 2019 +0100

    Updated to AMiRo-LLD 1.1:
    - Implementation of periphAL has been modified accordingly.
    - GPIOs are not encoded as port/pad tuple, but as lines
    - Some unittests have been updated due to driver changes.

diff --git a/modules/DiWheelDrive_1-2/module.c b/modules/DiWheelDrive_1-2/module.c
index ab17198..96041bb 100644
--- a/modules/DiWheelDrive_1-2/module.c
+++ b/modules/DiWheelDrive_1-2/module.c
@@ -121,8 +121,7 @@ SerialConfig moduleHalProgIfConfig = {
  * @brief   LED output signal GPIO.
  */
 static apalGpio_t _gpioLed = {
-  /* port */ GPIOA,
-  /* pad  */ GPIOA_LED,
+  /* line */ LINE_LED,
 };
 ROMCONST apalControlGpio_t moduleGpioLed = {
   /* GPIO */ &_gpioLed,
@@ -137,8 +136,7 @@ ROMCONST apalControlGpio_t moduleGpioLed = {
  * @brief   POWER_EN output signal GPIO.
  */
 static apalGpio_t _gpioPowerEn = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_POWER_EN,
+  /* line */ LINE_POWER_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioPowerEn = {
   /* GPIO */ &_gpioPowerEn,
@@ -153,8 +151,7 @@ ROMCONST apalControlGpio_t moduleGpioPowerEn = {
  * @brief   IR_INT input signal GPIO.
  */
 static apalGpio_t _gpioIrInt = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_IR_INT,
+  /* line */ LINE_IR_INT,
 };
 ROMCONST apalControlGpio_t moduleGpioIrInt = {
   /* GPIO */ &_gpioIrInt,
@@ -169,8 +166,7 @@ ROMCONST apalControlGpio_t moduleGpioIrInt = {
  * @brief   SYS_UART_UP bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysUartUp = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_SYS_UART_UP,
+  /* line */ LINE_SYS_UART_UP,
 };
 ROMCONST apalControlGpio_t moduleGpioSysUartUp = {
   /* GPIO */ &_gpioSysUartUp,
@@ -185,8 +181,7 @@ ROMCONST apalControlGpio_t moduleGpioSysUartUp = {
  * @brief   IMU_INT input signal GPIO.
  */
 static apalGpio_t _gpioImuInt = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_IMU_INT,
+  /* line */ LINE_IMU_INT,
 };
 ROMCONST apalControlGpio_t moduleGpioImuInt = {
   /* GPIO */ &_gpioImuInt,
@@ -201,8 +196,7 @@ ROMCONST apalControlGpio_t moduleGpioImuInt = {
  * @brief   SYS_SNYC bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysSync = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_INT_N,
+  /* line */ LINE_SYS_INT_N,
 };
 ROMCONST apalControlGpio_t  moduleGpioSysSync = {
   /* GPIO */ &_gpioSysSync,
@@ -217,8 +211,7 @@ ROMCONST apalControlGpio_t  moduleGpioSysSync = {
  * @brief   IMU_RESET output signal GPIO.
  */
 static apalGpio_t _gpioImuReset = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_IMU_RESET_N,
+  /* line */ LINE_IMU_RESET_N,
 };
 ROMCONST apalControlGpio_t  moduleGpioImuReset = {
   /* GPIO */ &_gpioImuReset,
@@ -233,8 +226,7 @@ ROMCONST apalControlGpio_t  moduleGpioImuReset = {
  * @brief   PATH_DCSTAT input signal GPIO.
  */
 static apalGpio_t _gpioPathDcStat = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_PATH_DCSTAT,
+  /* line */ LINE_PATH_DCSTAT,
 };
 ROMCONST apalControlGpio_t moduleGpioPathDcStat = {
   /* GPIO */ &_gpioPathDcStat,
@@ -249,8 +241,7 @@ ROMCONST apalControlGpio_t moduleGpioPathDcStat = {
  * @brief   PATH_DCEN output signal GPIO.
  */
 static apalGpio_t _gpioPathDcEn = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_PATH_DCEN,
+  /* line */ LINE_PATH_DCEN,
 };
 ROMCONST apalControlGpio_t moduleGpioPathDcEn = {
   /* GPIO */ &_gpioPathDcEn,
@@ -265,8 +256,7 @@ ROMCONST apalControlGpio_t moduleGpioPathDcEn = {
  * @brief   SYS_PD bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysPd = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_PD_N,
+  /* line */ LINE_SYS_PD_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysPd = {
   /* GPIO */ &_gpioSysPd,
@@ -281,8 +271,7 @@ ROMCONST apalControlGpio_t moduleGpioSysPd = {
  * @brief   SYS_REG_EN input signal GPIO.
  */
 static apalGpio_t _gpioSysRegEn = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_REG_EN,
+  /* line */ LINE_SYS_REG_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioSysRegEn = {
   /* GPIO */ &_gpioSysRegEn,
@@ -297,8 +286,7 @@ ROMCONST apalControlGpio_t moduleGpioSysRegEn = {
  * @brief   IMU_BOOT_LOAD output signal GPIO.
  */
 static apalGpio_t _gpioImuBootLoad = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_IMU_BOOT_LOAD_N,
+  /* line */ LINE_IMU_BOOT_LOAD_N,
 };
 ROMCONST apalControlGpio_t moduleGpioImuBootLoad = {
   /* GPIO */ &_gpioImuBootLoad,
@@ -313,8 +301,7 @@ ROMCONST apalControlGpio_t moduleGpioImuBootLoad = {
  * @brief   IMU_BL_IND input signal GPIO.
  */
 static apalGpio_t _gpioImuBlInd = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_IMU_BL_IND,
+  /* line */ LINE_IMU_BL_IND,
 };
 ROMCONST apalControlGpio_t moduleGpioImuBlInd = {
   /* GPIO */ &_gpioImuBlInd,
@@ -329,8 +316,7 @@ ROMCONST apalControlGpio_t moduleGpioImuBlInd = {
  * @brief   SYS_WARMRST bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysWarmrst = {
-  /* port */ GPIOD,
-  /* pad  */ GPIOD_SYS_WARMRST_N,
+  /* line */ LINE_SYS_WARMRST_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysWarmrst = {
   /* GPIO */ &_gpioSysWarmrst,