commit 3106e8ccdc0107c1fd3f92eaef77ea9bb856803b
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Mar 21 17:48:56 2019 +0100

    Updated to AMiRo-LLD 1.1:
    - Implementation of periphAL has been modified accordingly.
    - GPIOs are not encoded as port/pad tuple, but as lines
    - Some unittests have been updated due to driver changes.

diff --git a/modules/LightRing_1-0/module.c b/modules/LightRing_1-0/module.c
index 94615e9..f67548a 100644
--- a/modules/LightRing_1-0/module.c
+++ b/modules/LightRing_1-0/module.c
@@ -63,8 +63,8 @@ SerialConfig moduleHalProgIfConfig = {
 SPIConfig moduleHalSpiLightConfig = {
   /* circular buffer mode        */ false,
   /* callback function pointer   */ NULL,
-  /* chip select line port       */ GPIOC,
-  /* chip select line pad number */ GPIOC_LIGHT_XLAT,
+  /* chip select line port       */ PAL_PORT(LINE_LIGHT_XLAT),
+  /* chip select line pad number */ PAL_PAD(LINE_LIGHT_XLAT),
   /* CR1                         */ SPI_CR1_BR_0 | SPI_CR1_BR_1,
   /* CR2                         */ SPI_CR2_RXDMAEN | SPI_CR2_TXDMAEN,
 };
@@ -72,8 +72,8 @@ SPIConfig moduleHalSpiLightConfig = {
 SPIConfig moduleHalSpiWlConfig = {
   /* circular buffer mode        */ false,
   /* callback function pointer   */ NULL,
-  /* chip select line port       */ GPIOB,
-  /* chip select line pad number */ GPIOB_WL_SS_N,
+  /* chip select line port       */ PAL_PORT(LINE_WL_SS_N),
+  /* chip select line pad number */ PAL_PAD(LINE_WL_SS_N),
   /* CR1                         */ SPI_CR1_BR_0,
   /* CR2                         */ SPI_CR2_RXDMAEN | SPI_CR2_TXDMAEN,
 };
@@ -89,8 +89,7 @@ SPIConfig moduleHalSpiWlConfig = {
  * @brief   LIGHT_BANK output signal GPIO.
  */
 static apalGpio_t _gpioLightBlank = {
-  /* port */ GPIOA,
-  /* pad  */ GPIOA_LIGHT_BLANK,
+  /* line */ LINE_LIGHT_BLANK,
 };
 ROMCONST apalControlGpio_t moduleGpioLightBlank = {
   /* GPIO */ &_gpioLightBlank,
@@ -105,8 +104,7 @@ ROMCONST apalControlGpio_t moduleGpioLightBlank = {
  * @brief   LASER_EN output signal GPIO.
  */
 static apalGpio_t _gpioLaserEn = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_LASER_EN,
+  /* line */ LINE_LASER_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioLaserEn = {
   /* GPIO */ &_gpioLaserEn,
@@ -121,8 +119,7 @@ ROMCONST apalControlGpio_t moduleGpioLaserEn = {
  * @brief   LASER_OC input signal GPIO.
  */
 static apalGpio_t _gpioLaserOc = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_LASER_OC_N,
+  /* line */ LINE_LASER_OC_N,
 };
 ROMCONST apalControlGpio_t moduleGpioLaserOc = {
   /* GPIO */ &_gpioLaserOc,
@@ -137,8 +134,7 @@ ROMCONST apalControlGpio_t moduleGpioLaserOc = {
  * @brief   SYS_UART_DN bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysUartDn = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_SYS_UART_DN,
+  /* line */ LINE_SYS_UART_DN,
 };
 ROMCONST apalControlGpio_t moduleGpioSysUartDn = {
   /* GPIO */ &_gpioSysUartDn,
@@ -153,8 +149,7 @@ ROMCONST apalControlGpio_t moduleGpioSysUartDn = {
  * @brief   WL_GDO2 input signal GPIO.
  */
 static apalGpio_t _gpioWlGdo2 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_WL_GDO2,
+  /* line */ LINE_WL_GDO2,
 };
 ROMCONST apalControlGpio_t moduleGpioWlGdo2 = {
   /* GPIO */ &_gpioWlGdo2,
@@ -169,8 +164,7 @@ ROMCONST apalControlGpio_t moduleGpioWlGdo2 = {
  * @brief   WL_GDO0 input signal GPIO.
  */
 static apalGpio_t _gpioWlGdo0= {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_WL_GDO0,
+  /* line */ LINE_WL_GDO0,
 };
 ROMCONST apalControlGpio_t moduleGpioWlGdo0 = {
   /* GPIO */ &_gpioWlGdo0,
@@ -182,27 +176,10 @@ ROMCONST apalControlGpio_t moduleGpioWlGdo0 = {
 };
 
 /**
- * @brief   LIGHT_XLAT output signal GPIO.
- */
-static apalGpio_t _gpioLightXlat = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_LIGHT_XLAT,
-};
-ROMCONST apalControlGpio_t moduleGpioLightXlat = {
-  /* GPIO */ &_gpioLightXlat,
-  /* meta */ {
-    /* direction      */ APAL_GPIO_DIRECTION_OUTPUT,
-    /* active state   */ TLC5947_LLD_XLAT_ACTIVE_STATE,
-    /* interrupt edge */ APAL_GPIO_EDGE_NONE,
-  },
-};
-
-/**
  * @brief   SYS_PD bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysPd = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_PD_N,
+  /* line */ LINE_SYS_PD_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysPd = {
   /* GPIO */ &_gpioSysPd,
@@ -217,8 +194,7 @@ ROMCONST apalControlGpio_t moduleGpioSysPd = {
  * @brief   SYS_SYNC bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysSync = {
-  /* port */ GPIOD,
-  /* pad  */ GPIOD_SYS_INT_N,
+  /* line */ LINE_SYS_INT_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysSync = {
   /* GPIO */ &_gpioSysSync,
@@ -268,7 +244,7 @@ AT24C01BDriver moduleLldEeprom = {
 TLC5947Driver moduleLldLedPwm = {
   /* SPI driver         */ &MODULE_HAL_SPI_LIGHT,
   /* BLANK signal GPIO  */ &moduleGpioLightBlank,
-  /* XLAT signal GPIO   */ &moduleGpioLightXlat,
+  /* XLAT signal GPIO   */ NULL,
 };
 
 TPS20xxBDriver moduleLldPowerSwitchLaser = {