commit 3106e8ccdc0107c1fd3f92eaef77ea9bb856803b
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Mar 21 17:48:56 2019 +0100

    Updated to AMiRo-LLD 1.1:
    - Implementation of periphAL has been modified accordingly.
    - GPIOs are not encoded as port/pad tuple, but as lines
    - Some unittests have been updated due to driver changes.

diff --git a/modules/NUCLEO-L476RG/board.h b/modules/NUCLEO-L476RG/board.h
index fab728d..5b08883 100644
--- a/modules/NUCLEO-L476RG/board.h
+++ b/modules/NUCLEO-L476RG/board.h
@@ -63,15 +63,15 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
  * IO pins assignments.
  */
 #define GPIOA_ARD_A0                0U
-#define GPIOA_ACD12_IN5             0U
+#define GPIOA_ADC12_IN5             0U
 #define GPIOA_ARD_A1                1U
-#define GPIOA_ACD12_IN6             1U
+#define GPIOA_ADC12_IN6             1U
 #define GPIOA_ARD_D1                2U
 #define GPIOA_USART2_TX             2U
 #define GPIOA_ARD_D0                3U
 #define GPIOA_USART2_RX             3U
 #define GPIOA_ARD_A2                4U
-#define GPIOA_ACD12_IN9             4U
+#define GPIOA_ADC12_IN9             4U
 #define GPIOA_ARD_D13               5U
 #define GPIOA_LED_GREEN             5U
 #define GPIOA_ARD_D12               6U
@@ -86,7 +86,7 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define GPIOA_PIN15                 15U
 
 #define GPIOB_ARD_A3                0U
-#define GPIOB_ACD12_IN15            0U
+#define GPIOB_ADC12_IN15            0U
 #define GPIOB_PIN1                  1U
 #define GPIOB_PIN2                  2U
 #define GPIOB_ARD_D3                3U
@@ -105,9 +105,9 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #define GPIOB_PIN15                 15U
 
 #define GPIOC_ARD_A5                0U
-#define GPIOC_ACD123_IN1            0U
+#define GPIOC_ADC123_IN1            0U
 #define GPIOC_ARD_A4                1U
-#define GPIOC_ACD123_IN2            1U
+#define GPIOC_ADC123_IN2            1U
 #define GPIOC_PIN2                  2U
 #define GPIOC_PIN3                  3U
 #define GPIOC_PIN4                  4U
@@ -211,45 +211,47 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /*
  * IO lines assignments.
  */
-#define LINE_ARD_A0                 PAL_LINE(GPIOA, 0U)
-#define LINE_ACD12_IN5              PAL_LINE(GPIOA, 0U)
-#define LINE_ARD_A1                 PAL_LINE(GPIOA, 1U)
-#define LINE_ACD12_IN6              PAL_LINE(GPIOA, 1U)
-#define LINE_ARD_D1                 PAL_LINE(GPIOA, 2U)
-#define LINE_USART2_TX              PAL_LINE(GPIOA, 2U)
-#define LINE_ARD_D0                 PAL_LINE(GPIOA, 3U)
-#define LINE_USART2_RX              PAL_LINE(GPIOA, 3U)
-#define LINE_ARD_A2                 PAL_LINE(GPIOA, 4U)
-#define LINE_ACD12_IN9              PAL_LINE(GPIOA, 4U)
-#define LINE_ARD_D13                PAL_LINE(GPIOA, 5U)
-#define LINE_LED_GREEN              PAL_LINE(GPIOA, 5U)
-#define LINE_ARD_D12                PAL_LINE(GPIOA, 6U)
-#define LINE_ARD_D11                PAL_LINE(GPIOA, 7U)
-#define LINE_ARD_D7                 PAL_LINE(GPIOA, 8U)
-#define LINE_ARD_D8                 PAL_LINE(GPIOA, 9U)
-#define LINE_ARD_D2                 PAL_LINE(GPIOA, 10U)
-#define LINE_SWDIO                  PAL_LINE(GPIOA, 13U)
-#define LINE_SWCLK                  PAL_LINE(GPIOA, 14U)
-#define LINE_ARD_A3                 PAL_LINE(GPIOB, 0U)
-#define LINE_ACD12_IN15             PAL_LINE(GPIOB, 0U)
-#define LINE_ARD_D3                 PAL_LINE(GPIOB, 3U)
-#define LINE_SWO                    PAL_LINE(GPIOB, 3U)
-#define LINE_ARD_D5                 PAL_LINE(GPIOB, 4U)
-#define LINE_ARD_D4                 PAL_LINE(GPIOB, 5U)
-#define LINE_ARD_D10                PAL_LINE(GPIOB, 6U)
-#define LINE_ARD_D15                PAL_LINE(GPIOB, 8U)
-#define LINE_ARD_D14                PAL_LINE(GPIOB, 9U)
-#define LINE_ARD_D6                 PAL_LINE(GPIOB, 10U)
-#define LINE_ARD_A5                 PAL_LINE(GPIOC, 0U)
-#define LINE_ACD123_IN1             PAL_LINE(GPIOC, 0U)
-#define LINE_ARD_A4                 PAL_LINE(GPIOC, 1U)
-#define LINE_ACD123_IN2             PAL_LINE(GPIOC, 1U)
-#define LINE_ARD_D9                 PAL_LINE(GPIOC, 7U)
-#define LINE_BUTTON                 PAL_LINE(GPIOC, 13U)
-#define LINE_OSC32_IN               PAL_LINE(GPIOC, 14U)
-#define LINE_OSC32_OUT              PAL_LINE(GPIOC, 15U)
-#define LINE_OSC_IN                 PAL_LINE(GPIOH, 0U)
-#define LINE_OSC_OUT                PAL_LINE(GPIOH, 1U)
+#define LINE_ARD_A0                 PAL_LINE(GPIOA, GPIOA_ARD_A0)
+#define LINE_ADC12_IN5              PAL_LINE(GPIOA, GPIOA_ADC12_IN5)
+#define LINE_ARD_A1                 PAL_LINE(GPIOA, GPIOA_ARD_A1)
+#define LINE_ADC12_IN6              PAL_LINE(GPIOA, GPIOA_ADC12_IN6)
+#define LINE_ARD_D1                 PAL_LINE(GPIOA, GPIOA_ARD_D1)
+#define LINE_USART2_TX              PAL_LINE(GPIOA, GPIOA_USART2_TX)
+#define LINE_ARD_D0                 PAL_LINE(GPIOA, GPIOA_ARD_D0)
+#define LINE_USART2_RX              PAL_LINE(GPIOA, GPIOA_USART2_RX)
+#define LINE_ARD_A2                 PAL_LINE(GPIOA, GPIOA_ARD_A2)
+#define LINE_ADC12_IN9              PAL_LINE(GPIOA, GPIOA_ADC12_IN9)
+#define LINE_ARD_D13                PAL_LINE(GPIOA, GPIOA_ARD_D13)
+#define LINE_LED_GREEN              PAL_LINE(GPIOA, GPIOA_LED_GREEN)
+#define LINE_ARD_D12                PAL_LINE(GPIOA, GPIOA_ARD_D12)
+#define LINE_ARD_D11                PAL_LINE(GPIOA, GPIOA_ARD_D11)
+#define LINE_ARD_D7                 PAL_LINE(GPIOA, GPIOA_ARD_D7)
+#define LINE_ARD_D8                 PAL_LINE(GPIOA, GPIOA_ARD_D8)
+#define LINE_ARD_D2                 PAL_LINE(GPIOA, GPIOA_ARD_D2)
+#define LINE_SWDIO                  PAL_LINE(GPIOA, GPIOA_SWDIO)
+#define LINE_SWCLK                  PAL_LINE(GPIOA, GPIOA_SWCLK)
+
+#define LINE_ARD_A3                 PAL_LINE(GPIOB, GPIOB_ARD_A3)
+#define LINE_ADC12_IN15             PAL_LINE(GPIOB, GPIOB_ADC12_IN15)
+#define LINE_ARD_D3                 PAL_LINE(GPIOB, GPIOB_ARD_D3)
+#define LINE_SWO                    PAL_LINE(GPIOB, GPIOB_SWO)
+#define LINE_ARD_D5                 PAL_LINE(GPIOB, GPIOB_ARD_D5)
+#define LINE_ARD_D4                 PAL_LINE(GPIOB, GPIOB_ARD_D4)
+#define LINE_ARD_D10                PAL_LINE(GPIOB, GPIOB_ARD_D10)
+#define LINE_ARD_D15                PAL_LINE(GPIOB, GPIOB_ARD_D15)
+#define LINE_ARD_D14                PAL_LINE(GPIOB, GPIOB_ARD_D14)
+#define LINE_ARD_D6                 PAL_LINE(GPIOB, GPIOB_ARD_D6)
+
+#define LINE_ARD_A5                 PAL_LINE(GPIOC, GPIOC_ARD_A5)
+#define LINE_ADC123_IN1             PAL_LINE(GPIOC, GPIOC_ADC123_IN1)
+#define LINE_ARD_A4                 PAL_LINE(GPIOC, GPIOC_ARD_A4)
+#define LINE_ADC123_IN2             PAL_LINE(GPIOC, GPIOC_ADC123_IN2)
+#define LINE_ARD_D9                 PAL_LINE(GPIOC, GPIOC_ARD_D9)
+#define LINE_BUTTON                 PAL_LINE(GPIOC, GPIOC_BUTTON)
+#define LINE_OSC32_IN               PAL_LINE(GPIOC, GPIOC_OSC32_IN)
+#define LINE_OSC32_OUT              PAL_LINE(GPIOC, GPIOC_OSC32_OUT)
+#define LINE_OSC_IN                 PAL_LINE(GPIOH, GPIOH_OSC_IN)
+#define LINE_OSC_OUT                PAL_LINE(GPIOH, GPIOH_OSC_OUT)
 
 /*===========================================================================*/
 /* Driver pre-compile time settings.                                         */