commit 3106e8ccdc0107c1fd3f92eaef77ea9bb856803b
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Mar 21 17:48:56 2019 +0100

    Updated to AMiRo-LLD 1.1:
    - Implementation of periphAL has been modified accordingly.
    - GPIOs are not encoded as port/pad tuple, but as lines
    - Some unittests have been updated due to driver changes.

diff --git a/modules/PowerManagement_1-1/module.c b/modules/PowerManagement_1-1/module.c
index df06e06..4b38320 100644
--- a/modules/PowerManagement_1-1/module.c
+++ b/modules/PowerManagement_1-1/module.c
@@ -124,8 +124,7 @@ SerialConfig moduleHalProgIfConfig = {
  * @brief   SYS_REG_EN output signal GPIO.
  */
 static apalGpio_t _gpioSysRegEn = {
-  /* port */ GPIOA,
-  /* pad  */ GPIOA_SYS_REG_EN,
+  /* line */ LINE_SYS_REG_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioSysRegEn = {
   /* GPIO */ &_gpioSysRegEn,
@@ -140,8 +139,7 @@ ROMCONST apalControlGpio_t moduleGpioSysRegEn = {
  * @brief   IR_INT1 input signal GPIO.
  */
 static apalGpio_t _gpioIrInt1 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_IR_INT1_N,
+  /* line */ LINE_IR_INT1_N,
 };
 ROMCONST apalControlGpio_t moduleGpioIrInt1 = {
   /* GPIO */ &_gpioIrInt1,
@@ -167,8 +165,7 @@ ROMCONST apalControlGpio_t moduleGpioIrInt1 = {
  * @brief   POWER_EN output signal GPIO.
  */
 static apalGpio_t _gpioPowerEn = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_POWER_EN,
+  /* line */ LINE_POWER_EN,
 };
 ROMCONST apalControlGpio_t moduleGpioPowerEn = {
   /* GPIO */ &_gpioPowerEn,
@@ -183,8 +180,7 @@ ROMCONST apalControlGpio_t moduleGpioPowerEn = {
  * @brief   SYS_UART_DN bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysUartDn = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_SYS_UART_DN,
+  /* line */ LINE_SYS_UART_DN,
 };
 ROMCONST apalControlGpio_t moduleGpioSysUartDn = {
   /* GPIO */ &_gpioSysUartDn,
@@ -199,8 +195,7 @@ ROMCONST apalControlGpio_t moduleGpioSysUartDn = {
  * @brief   CHARGE_STAT2A input signal GPIO.
  */
 static apalGpio_t _gpioChargeStat2A = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_CHARGE_STAT2A,
+  /* line */ LINE_CHARGE_STAT2A,
 };
 ROMCONST apalControlGpio_t moduleGpioChargeStat2A = {
   /* GPIO */ &_gpioChargeStat2A,
@@ -215,8 +210,7 @@ ROMCONST apalControlGpio_t moduleGpioChargeStat2A = {
  * @brief   GAUGE_BATLOW2 input signal GPIO.
  */
 static apalGpio_t _gpioGaugeBatLow2 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_GAUGE_BATLOW2,
+  /* line */ LINE_GAUGE_BATLOW2,
 };
 ROMCONST apalControlGpio_t moduleGpioGaugeBatLow2 = {
   /* GPIO */ &_gpioGaugeBatLow2,
@@ -231,8 +225,7 @@ ROMCONST apalControlGpio_t moduleGpioGaugeBatLow2 = {
  * @brief   GAUGE_BATGD2 input signal GPIO.
  */
 static apalGpio_t _gpioGaugeBatGd2 = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_GAUGE_BATGD2_N,
+  /* line */ LINE_GAUGE_BATGD2_N,
 };
 ROMCONST apalControlGpio_t moduleGpioGaugeBatGd2 = {
   /* GPIO */ &_gpioGaugeBatGd2,
@@ -247,8 +240,7 @@ ROMCONST apalControlGpio_t moduleGpioGaugeBatGd2 = {
  * @brief   LED output signal GPIO.
  */
 static apalGpio_t _gpioLed = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_LED,
+  /* line */ LINE_LED,
 };
 ROMCONST apalControlGpio_t moduleGpioLed = {
   /* GPIO */ &_gpioLed,
@@ -263,8 +255,7 @@ ROMCONST apalControlGpio_t moduleGpioLed = {
  * @brief   SYS_UART_UP bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysUartUp = {
-  /* port */ GPIOB,
-  /* pad  */ GPIOB_SYS_UART_UP,
+  /* line */ LINE_SYS_UART_UP,
 };
 ROMCONST apalControlGpio_t moduleGpioSysUartUp = {
   /* GPIO */ &_gpioSysUartUp,
@@ -279,8 +270,7 @@ ROMCONST apalControlGpio_t moduleGpioSysUartUp = {
  * @brief   CHARGE_STAT1A input signal GPIO.
  */
 static apalGpio_t _gpioChargeStat1A = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_CHARGE_STAT1A,
+  /* line */ LINE_CHARGE_STAT1A,
 };
 ROMCONST apalControlGpio_t moduleGpioChargeStat1A = {
   /* GPIO */ &_gpioChargeStat1A,
@@ -295,8 +285,7 @@ ROMCONST apalControlGpio_t moduleGpioChargeStat1A = {
  * @brief   GAUGE_BATLOW1 input signal GPIO.
  */
 static apalGpio_t _gpioGaugeBatLow1 = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_GAUGE_BATLOW1,
+  /* line */ LINE_GAUGE_BATLOW1,
 };
 ROMCONST apalControlGpio_t moduleGpioGaugeBatLow1 = {
   /* GPIO */ &_gpioGaugeBatLow1,
@@ -311,8 +300,7 @@ ROMCONST apalControlGpio_t moduleGpioGaugeBatLow1 = {
  * @brief   GAUGE_BATGD1 input signal GPIO.
  */
 static apalGpio_t _gpioGaugeBatGd1 = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_GAUGE_BATGD1_N,
+  /* line */ LINE_GAUGE_BATGD1_N,
 };
 ROMCONST apalControlGpio_t moduleGpioGaugeBatGd1 = {
   /* GPIO */ &_gpioGaugeBatGd1,
@@ -327,8 +315,7 @@ ROMCONST apalControlGpio_t moduleGpioGaugeBatGd1 = {
  * @brief   CHARG_EN1 output signal GPIO.
  */
 static apalGpio_t _gpioChargeEn1 = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_CHARGE_EN1_N,
+  /* line */ LINE_CHARGE_EN1_N,
 };
 ROMCONST apalControlGpio_t moduleGpioChargeEn1 = {
   /* GPIO */ &_gpioChargeEn1,
@@ -343,8 +330,7 @@ ROMCONST apalControlGpio_t moduleGpioChargeEn1 = {
  * @brief   IR_INT2 input signal GPIO.
  */
 static apalGpio_t _gpioIrInt2 = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_IR_INT2_N,
+  /* line */ LINE_IR_INT2_N,
 };
 ROMCONST apalControlGpio_t moduleGpioIrInt2 = {
   /* GPIO */ &_gpioIrInt2,
@@ -370,8 +356,7 @@ ROMCONST apalControlGpio_t moduleGpioIrInt2 = {
  * @brief   TOUCH_INT input signal GPIO.
  */
 static apalGpio_t _gpioTouchInt = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_TOUCH_INT_N,
+  /* line */ LINE_TOUCH_INT_N,
 };
 ROMCONST apalControlGpio_t moduleGpioTouchInt = {
   /* GPIO */ &_gpioTouchInt,
@@ -397,8 +382,7 @@ ROMCONST apalControlGpio_t moduleGpioTouchInt = {
  * @brief   SYS_DONE input signal GPIO.
  */
 static apalGpio_t _gpioSysDone = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_DONE,
+  /* line */ LINE_SYS_DONE,
 };
 ROMCONST apalControlGpio_t moduleGpioSysDone = {
   /* GPIO */ &_gpioSysDone,
@@ -413,8 +397,7 @@ ROMCONST apalControlGpio_t moduleGpioSysDone = {
  * @brief   SYS_PROG output signal GPIO.
  */
 static apalGpio_t _gpioSysProg = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_PROG_N,
+  /* line */ LINE_SYS_PROG_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysProg = {
   /* GPIO */ &_gpioSysProg,
@@ -429,8 +412,7 @@ ROMCONST apalControlGpio_t moduleGpioSysProg = {
  * @brief   PATH_DC input signal GPIO.
  */
 static apalGpio_t _gpioPathDc = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_PATH_DC,
+  /* line */ LINE_PATH_DC,
 };
 ROMCONST apalControlGpio_t moduleGpioPathDc = {
   /* GPIO */ &_gpioPathDc,
@@ -445,8 +427,7 @@ ROMCONST apalControlGpio_t moduleGpioPathDc = {
  * @brief   SYS_SPI_DIR bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysSpiDir = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_SPI_DIR,
+  /* line */ LINE_SYS_SPI_DIR,
 };
 ROMCONST apalControlGpio_t moduleGpioSysSpiDir = {
   /* GPIO */ &_gpioSysSpiDir,
@@ -461,8 +442,7 @@ ROMCONST apalControlGpio_t moduleGpioSysSpiDir = {
  * @brief   SYS_SYNC bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysSync = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_INT_N,
+  /* line */ LINE_SYS_INT_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysSync = {
   /* GPIO */ &_gpioSysSync,
@@ -477,8 +457,7 @@ ROMCONST apalControlGpio_t moduleGpioSysSync = {
  * @brief   SYS_PD bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysPd = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_PD_N,
+  /* line */ LINE_SYS_PD_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysPd = {
   /* GPIO */ &_gpioSysPd,
@@ -493,8 +472,7 @@ ROMCONST apalControlGpio_t moduleGpioSysPd = {
  * @brief   SYS_WARMRST bidirectional signal GPIO.
  */
 static apalGpio_t _gpioSysWarmrst = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_SYS_WARMRST_N,
+  /* line */ LINE_SYS_WARMRST_N,
 };
 ROMCONST apalControlGpio_t moduleGpioSysWarmrst = {
   /* GPIO */ &_gpioSysWarmrst,
@@ -509,8 +487,7 @@ ROMCONST apalControlGpio_t moduleGpioSysWarmrst = {
  * @brief   BT_RST output signal GPIO.
  */
 static apalGpio_t _gpioBtRst = {
-  /* port */ GPIOC,
-  /* pad  */ GPIOC_BT_RST,
+  /* line */ LINE_BT_RST,
 };
 ROMCONST apalControlGpio_t moduleGpioBtRst = {
   /* GPIO */ &_gpioBtRst,
@@ -525,8 +502,7 @@ ROMCONST apalControlGpio_t moduleGpioBtRst = {
  * @brief   CHARGE_EN2 output signal GPIO.
  */
 static apalGpio_t _gpioChargeEn2 = {
-  /* port */ GPIOD,
-  /* pad  */ GPIOD_CHARGE_EN2_N,
+  /* line */ LINE_CHARGE_EN2_N,
 };
 ROMCONST apalControlGpio_t moduleGpioChargeEn2 = {
   /* GPIO */ &_gpioChargeEn2,