commit 3106e8ccdc0107c1fd3f92eaef77ea9bb856803b
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Thu Mar 21 17:48:56 2019 +0100

    Updated to AMiRo-LLD 1.1:
    - Implementation of periphAL has been modified accordingly.
    - GPIOs are not encoded as port/pad tuple, but as lines
    - Some unittests have been updated due to driver changes.

diff --git a/modules/STM32F407G-DISC1/board.h b/modules/STM32F407G-DISC1/board.h
index 6caaecb..bf5d76e 100644
--- a/modules/STM32F407G-DISC1/board.h
+++ b/modules/STM32F407G-DISC1/board.h
@@ -215,37 +215,42 @@ along with this program.  If not, see <http://www.gnu.org/licenses/>.
 /*
  * IO lines assignments.
  */
-#define LINE_BUTTON                 PAL_LINE(GPIOA, 0U)
-#define LINE_LRCK                   PAL_LINE(GPIOA, 4U)
-#define LINE_SPC                    PAL_LINE(GPIOA, 5U)
-#define LINE_SDO                    PAL_LINE(GPIOA, 6U)
-#define LINE_SDI                    PAL_LINE(GPIOA, 7U)
-#define LINE_VBUS_FS                PAL_LINE(GPIOA, 9U)
-#define LINE_OTG_FS_ID              PAL_LINE(GPIOA, 10U)
-#define LINE_OTG_FS_DM              PAL_LINE(GPIOA, 11U)
-#define LINE_OTG_FS_DP              PAL_LINE(GPIOA, 12U)
-#define LINE_SWDIO                  PAL_LINE(GPIOA, 13U)
-#define LINE_SWCLK                  PAL_LINE(GPIOA, 14U)
-#define LINE_SWO                    PAL_LINE(GPIOB, 3U)
-#define LINE_SCL                    PAL_LINE(GPIOB, 6U)
-#define LINE_SDA                    PAL_LINE(GPIOB, 9U)
-#define LINE_CLK_IN                 PAL_LINE(GPIOB, 10U)
-#define LINE_OTG_FS_POWER_ON        PAL_LINE(GPIOC, 0U)
-#define LINE_PDM_OUT                PAL_LINE(GPIOC, 3U)
-#define LINE_MCLK                   PAL_LINE(GPIOC, 7U)
-#define LINE_SCLK                   PAL_LINE(GPIOC, 10U)
-#define LINE_SDIN                   PAL_LINE(GPIOC, 12U)
-#define LINE_RESET                  PAL_LINE(GPIOD, 4U)
-#define LINE_OVER_CURRENT           PAL_LINE(GPIOD, 5U)
-#define LINE_LED4                   PAL_LINE(GPIOD, 12U)
-#define LINE_LED3                   PAL_LINE(GPIOD, 13U)
-#define LINE_LED5                   PAL_LINE(GPIOD, 14U)
-#define LINE_LED6                   PAL_LINE(GPIOD, 15U)
-#define LINE_INT1                   PAL_LINE(GPIOE, 0U)
-#define LINE_INT2                   PAL_LINE(GPIOE, 1U)
-#define LINE_CS_SPI                 PAL_LINE(GPIOE, 3U)
-#define LINE_OSC_IN                 PAL_LINE(GPIOH, 0U)
-#define LINE_OSC_OUT                PAL_LINE(GPIOH, 1U)
+#define LINE_BUTTON                 PAL_LINE(GPIOA, GPIOA_BUTTON)
+#define LINE_LRCK                   PAL_LINE(GPIOA, GPIOA_LRCK)
+#define LINE_SPC                    PAL_LINE(GPIOA, GPIOA_SPC)
+#define LINE_SDO                    PAL_LINE(GPIOA, GPIOA_SDO)
+#define LINE_SDI                    PAL_LINE(GPIOA, GPIOA_SDI)
+#define LINE_VBUS_FS                PAL_LINE(GPIOA, GPIOA_VBUS_FS)
+#define LINE_OTG_FS_ID              PAL_LINE(GPIOA, GPIOA_OTG_FS_ID)
+#define LINE_OTG_FS_DM              PAL_LINE(GPIOA, GPIOA_FS_DM)
+#define LINE_OTG_FS_DP              PAL_LINE(GPIOA, GPIOA_FS_DP)
+#define LINE_SWDIO                  PAL_LINE(GPIOA, GPIOA_SWDIO)
+#define LINE_SWCLK                  PAL_LINE(GPIOA, GPIOA_SWCLK)
+
+#define LINE_SWO                    PAL_LINE(GPIOB, GPIOB_SWO)
+#define LINE_SCL                    PAL_LINE(GPIOB, GPIOA_SCL)
+#define LINE_SDA                    PAL_LINE(GPIOB, GPIOA_SDA)
+#define LINE_CLK_IN                 PAL_LINE(GPIOB, GPIOA_CLK_IN)
+
+#define LINE_OTG_FS_POWER_ON        PAL_LINE(GPIOC, GPIOC_OTG_FS_POWER_ON)
+#define LINE_PDM_OUT                PAL_LINE(GPIOC, GPIOC_PDM_OUT)
+#define LINE_MCLK                   PAL_LINE(GPIOC, GPIOC_MCLK)
+#define LINE_SCLK                   PAL_LINE(GPIOC, GPIOC_SCLK)
+#define LINE_SDIN                   PAL_LINE(GPIOC, GPIOC_SDIN)
+
+#define LINE_RESET                  PAL_LINE(GPIOD, GPIOD_RESET)
+#define LINE_OVER_CURRENT           PAL_LINE(GPIOD, GPIOD_OVER_CURRENT)
+#define LINE_LED4                   PAL_LINE(GPIOD, GPIOD_LED4)
+#define LINE_LED3                   PAL_LINE(GPIOD, GPIOD_LED3)
+#define LINE_LED5                   PAL_LINE(GPIOD, GPIOD_LED5)
+#define LINE_LED6                   PAL_LINE(GPIOD, GPIOD_LED6)
+
+#define LINE_INT1                   PAL_LINE(GPIOE, GPIOE_INT1)
+#define LINE_INT2                   PAL_LINE(GPIOE, GPIOE_INT2)
+#define LINE_CS_SPI                 PAL_LINE(GPIOE, GPIOE_VS_SPI)
+
+#define LINE_OSC_IN                 PAL_LINE(GPIOH, GPIOH_OSC_IN)
+#define LINE_OSC_OUT                PAL_LINE(GPIOH, GPIOE_OSC_OUT)
 
 /*===========================================================================*/
 /* Driver pre-compile time settings.                                         */