commit a2cdc4ae3580ca0b1fbac164b0a1e672619d2df6
Author: Julia Niermann <jniermann@techfak.uni-bielefeld.de>
Date:   Fri Jun 14 13:07:57 2019 +0200

    Add dummy unittests for wireless charging drivers

diff --git a/unittests/periphery-lld/inc/ut_alld_P9221R_v1.h b/unittests/periphery-lld/inc/ut_alld_P9221R_v1.h
new file mode 100644
index 0000000..cc1d9d4
--- /dev/null
+++ b/unittests/periphery-lld/inc/ut_alld_P9221R_v1.h
@@ -0,0 +1,91 @@
+/*
+AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+*/
+
+#ifndef AMIROOS_UT_ALLD_R9221R_V1_H
+#define AMIROOS_UT_ALLD_R9221R_V1_H
+
+#include <amiroos.h>
+
+#if ((AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_R9221R) && (AMIROLLD_CFG_R9221R == 1)) || defined(__DOXYGEN__)
+
+#include <alld_R9221R.h>
+
+/******************************************************************************/
+/* CONSTANTS                                                                  */
+/******************************************************************************/
+
+/******************************************************************************/
+/* SETTINGS                                                                   */
+/******************************************************************************/
+
+/******************************************************************************/
+/* CHECKS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* DATA STRUCTURES AND TYPES                                                  */
+/******************************************************************************/
+
+/**
+ * @brief   Custom data structure for the unit test.
+ */
+typedef struct {
+  /**
+   * @brief   R9221R driver to use.
+   */
+  R9221RDriver *PRd;
+
+  /**
+   * @brief   Alignment in x direction measured.
+   */
+  float alignment_x;
+
+  /**
+   * @brief   Alignment in y direction measured.
+   */
+  float alignment_y;
+
+  /**
+   * @brief   Timeout delay for certain tests.
+   */
+  apalTime_t timeout;
+} ut_p9221rdata_t;
+
+/******************************************************************************/
+/* MACROS                                                                     */
+/******************************************************************************/
+
+/******************************************************************************/
+/* EXTERN DECLARATIONS                                                        */
+/******************************************************************************/
+
+#if defined(__cplusplus)
+extern "C" {
+#endif /* defined(__cplusplus) */
+  aos_utresult_t utAlldP9221rFunc(BaseSequentialStream* stream, aos_unittest_t* ut);
+#if defined(__cplusplus)
+}
+#endif /* defined(__cplusplus) */
+
+/******************************************************************************/
+/* INLINE FUNCTIONS                                                           */
+/******************************************************************************/
+
+#endif /* (AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_R9221R) && (AMIROLLD_CFG_R9221R == 1) */
+
+#endif /* AMIROOS_UT_ALLD_R9221R_V1_H */
diff --git a/unittests/periphery-lld/src/ut_alld_P9221R_v1.c b/unittests/periphery-lld/src/ut_alld_P9221R_v1.c
new file mode 100644
index 0000000..c3e4d71
--- /dev/null
+++ b/unittests/periphery-lld/src/ut_alld_P9221R_v1.c
@@ -0,0 +1,8 @@
+#include <amiroos.h>
+#include <ut_alld_P9221R_v1.h>
+
+aos_utresult_t utAlldP9221rFunc(BaseSequentialStream* stream, aos_unittest_t* ut)
+{
+  aos_utresult_t result = {0, 0};
+  return result;
+}